# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "runmat-lexer"
version = "0.2.2"
authors = ["Dystr Team"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Lexer for the RunMat language (MATLAB/Octave syntax) built with logos"
homepage = "https://runmat.org"
readme = "README.md"
license = "MIT"
license-file = "LICENSE"
repository = "https://github.com/runmat-org/runmat"

[lib]
name = "runmat_lexer"
path = "src/lib.rs"

[[test]]
name = "comments_continuation"
path = "tests/comments_continuation.rs"

[[test]]
name = "lexer"
path = "tests/lexer.rs"

[[test]]
name = "namespaces"
path = "tests/namespaces.rs"

[[test]]
name = "oop_tokens"
path = "tests/oop_tokens.rs"

[[test]]
name = "operators"
path = "tests/operators.rs"

[[test]]
name = "strings_chars"
path = "tests/strings_chars.rs"

[[test]]
name = "tokens_basic"
path = "tests/tokens_basic.rs"

[[test]]
name = "transpose"
path = "tests/transpose.rs"

[dependencies.logos]
version = "0.15"
